Bug 161804 - Gtk2.7 from rawhide crashes Nautilus "Open With"
Gtk2.7 from rawhide crashes Nautilus "Open With"
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2005-06-27 10:56 EDT by Sigge Kotliar
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-25 09:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sigge Kotliar 2005-06-27 10:56:02 EDT
Description of problem:
When trying to select a different application to open a certain file with in
nautilus, it crashes. Same result no matter if it's from right-clicking a file
and selecting "Open with" or if you go into the properties of a file, and try to
add an app to Open with.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Right-click file, select open with other
Actual results:

Expected results:
Open with dialog appears

Additional info:
Not sure where to file this, please move wherever you want this. I was unable to
obtain a working backtrace, if this isn't reproducible on any other system
(should be, though), please give me instructions on how to backtrace nautilus.
Comment 1 Matthias Clasen 2005-06-27 12:16:21 EDT
I don't see this here. 
To get a backtrace, do the following from a terminal:

gnome-session-remove nautilus
gdb nautilus
<crash it>
Comment 2 Sigge Kotliar 2005-06-27 12:21:38 EDT
I'm sorry, when following your instruction, I never get a nautilus window opened
to be able to crash it.
What am I doing wrong?
Doing a run in gdb gives me some output, but no nautilus window.
Comment 3 Matthias Clasen 2005-06-27 12:43:18 EDT
Did the gnome-session-remove nautilus 
work to remove it from the session ? did the desktop icons disappear ?
if so, did the desktop icons reappear after the run in gdb ?
Comment 4 Sigge Kotliar 2005-06-27 13:01:51 EDT
Removed from session: yes.
Icons disappear: yes
reappear after run in gdb: no
Comment 5 Sigge Kotliar 2005-06-29 16:06:41 EDT
If you have more detailed instructions, you could e-mail them to me, and handle
this off-bugzilla.

Another thing I noticed that might be related is a similar crash in the "Run"
dialog. It too has a long list of available applications, and crashes in almost
the same way. This causes me to suspect it's the widget that lists the
applications that's causing this. Don't know if it's part of GTK or GNOME though.
Comment 6 Sigge Kotliar 2005-07-25 09:20:28 EDT
I am no longer getting this with gtk 2.7.3-1

Marking fixed.

Note You need to log in before you can comment on or make changes to this bug.